## faust 0.9.73~repack1

=== Makefile ===
version := 0.9.73

DESTDIR ?= 
PREFIX ?= /usr/local
CROSS=i586-mingw32msvc-

MAKEFILE := Makefile.unix

system	?= $(shell uname -s)

ifeq ($(system), Darwin)
LIB_EXT = dylib
else
ifneq ($(findstring MINGW32, $(system)),)
LIB_EXT = dll
EXE = .exe
else
LIB_EXT = so
endif
endif

prefix := $(DESTDIR)$(PREFIX)
arch   := $(wildcard architecture/*.*)
mfiles := $(wildcard examples/Makefile.*)
vname := faust-$(version)-$(shell date +%y%m%d.%H%M%S)
zname := faust-$(version)

.PHONY: all world dynamic httpd win32 sound2faust

all :
	$(MAKE) -C compiler -f $(MAKEFILE) prefix=$(prefix)
	$(MAKE) -C architecture/osclib

# make world: This builds all the common targets for a fairly complete Faust
# installation: Faust compiler, sound2faust utility, OSC and HTTPD libraries
# (both static and dynamic). Most of the extra targets require additional
# dependencies and hence aren't built by default; please check the Faust
# README for details. This target may be built in parallel (make -j).
world : all sound2faust httpd dynamic

dynamic : all httpd
	$(MAKE) -C architecture/httpdlib/src dynamic PREFIX=$(PREFIX)
	$(MAKE) -C architecture/osclib dynamic PREFIX=$(PREFIX)

httpd :
	$(MAKE) -C architecture/httpdlib/src

win32 :
	$(MAKE) -C compiler -f $(MAKEFILE) prefix=$(prefix) CXX=$(CROSS)g++
	$(MAKE) -C architecture/osclib CXX=$(CROSS)g++ system=Win32

sound2faust: 

	$(MAKE) -C tools/sound2faust

.PHONY: clean depend install ininstall dist parser help

help :
	@echo "Usage : 'make; sudo make install'"
	@echo "For http support : 'make httpd; make; sudo make install' (requires GNU libmicrohttpd)"
	@echo "make or make all : compile the Faust compiler and osc support library"
	@echo "make httpd : compile httpdlib (requires GNU libmicrohttpd)"
	@echo "make dynamic : compile httpd & osc supports as dynamic libraries"
	@echo "make sound2faust : compile sound to DSP file converter"
	@echo "make parser : generate the parser from the lex and yacc files"
	@echo "make clean : remove all object files"
	@echo "make doc : generate the documentation using doxygen"
	@echo "make install : install the compiler, tools and the architecture files in $(prefix)/bin $(prefix)/lib/faust $(prefix)/include/faust"
	@echo "make uninstall : undo what install did"
	@echo "make dist : make a Faust distribution as a .zip file"
	@echo "make log : make a changelog file"

parser :
	$(MAKE) -C compiler -f $(MAKEFILE) parser

clean :
	$(MAKE) -C compiler -f $(MAKEFILE) clean
	$(MAKE) -C examples clean
	$(MAKE) -C architecture/osclib clean
	$(MAKE) -C architecture/httpdlib/src clean
	$(MAKE) -C tools/sound2faust clean

depend :
	$(MAKE) -C compiler -f $(MAKEFILE) depend
	$(MAKE) -C architecture/osclib depend
	$(MAKE) -C architecture/httpdlib/src depend


doc :
	$(MAKE) -C compiler -f $(MAKEFILE) doc


install :
	# install faust itself
	mkdir -p $(prefix)/bin/
	mkdir -p $(prefix)/include/
	mkdir -p $(prefix)/include/faust/
	mkdir -p $(prefix)/include/faust/osc/
	install compiler/faust $(prefix)/bin/
	# install architecture and faust library files
	mkdir -p $(prefix)/lib/faust
	cp architecture/*.cpp $(prefix)/lib/faust/
	cp architecture/*.lib $(prefix)/lib/faust/
	# install iOS
	rm -rf $(prefix)/lib/faust/iOS
	cp -r architecture/iOS $(prefix)/lib/faust/
	rm -rf $(prefix)/lib/faust/iOS/DerivedData/
	# install AU
	rm -rf $(prefix)/lib/faust/AU/
	cp -r architecture/AU $(prefix)/lib/faust/
	cp -r architecture/android $(prefix)/lib/faust/
	cp -r architecture/max-msp $(prefix)/lib/faust/

	# install math documentation files
	cp architecture/mathdoctexts-*.txt $(prefix)/lib/faust/
	cp architecture/latexheader.tex $(prefix)/lib/faust/
	# install additional binary libraries (osc, http,...)
	([ -e architecture/httpdlib/libHTTPDFaust.a ] && cp architecture/httpdlib/libHTTPDFaust.a $(prefix)/lib/) || echo libHTTPDFaust.a not available
	([ -e architecture/httpdlib/libHTTPDFaust.$(LIB_EXT) ] && cp architecture/httpdlib/libHTTPDFaust.$(LIB_EXT) $(prefix)/lib/) || echo libHTTPDFaust.$(LIB_EXT) not available
		
	([ -e architecture/osclib/libOSCFaust.a ] && cp architecture/osclib/libOSCFaust.a $(prefix)/lib/) || echo libOSCFaust.a not available
	([ -e architecture/osclib/libOSCFaust.$(LIB_EXT) ] && cp -a architecture/osclib/libOSCFaust*.$(LIB_EXT)* $(prefix)/lib/) || echo libOSCFaust.$(LIB_EXT) not available
	
	cp -r architecture/httpdlib/html/js $(prefix)/lib/faust/js
	([ -e architecture/httpdlib/src/hexa/stylesheet ] && cp architecture/httpdlib/src/hexa/stylesheet $(prefix)/lib/faust/js/stylesheet.js) || echo stylesheet not available
	([ -e architecture/httpdlib/src/hexa/jsscripts ] && cp architecture/httpdlib/src/hexa/jsscripts $(prefix)/lib/faust/js/jsscripts.js) || echo jsscripts not available
	# install includes files for architectures
	cp -r architecture/faust $(prefix)/include/
	# install additional includes files for binary libraries  (osc, http,...)
	cp architecture/osclib/faust/faust/OSCControler.h $(prefix)/include/faust/gui/
	cp architecture/osclib/faust/faust/osc/*.h $(prefix)/include/faust/osc/
	cp architecture/httpdlib/src/include/*.h $(prefix)/include/faust/gui/
	# install faust2xxx tools
	make -C tools/faust2appls install
	# install sound2faust converter
	[ -e tools/sound2faust/sound2faust ] && make -C tools/sound2faust install || echo sound2faust not compiled
	# install webaudio
	cp -r architecture/webaudio $(prefix)/lib/faust/
	# install Max/MSP
	cp -r architecture/max-msp $(prefix)/lib/faust/
        


uninstall :
	rm -f $(addprefix $(prefix)/lib/, libHTTPDFaust.a libHTTPDFaust.$(LIB_EXT) libOSCFaust.a libOSCFaust*.$(LIB_EXT)*)
	rm -rf $(prefix)/lib/faust/
	rm -rf $(prefix)/include/faust/
	rm -f $(prefix)/bin/faust$(EXE)
	make -C tools/faust2appls uninstall
	rm -f $(prefix)/bin/sound2faust$(EXE)

# make a faust distribution .zip file
dist :
	git archive --format=tar.gz -o faust-$(version).tgz --prefix=faust-$(version)/ HEAD


log :
	git log --oneline --date-order --reverse --after={2014-05-19} master >log-$(version)

# Make Debian packages. This builds a package from the current HEAD in a
# subdirectory named $(debdist). It also creates the source archive that goes
# along with it. All files will be created in the toplevel Faust source
# directory.

# To make this work, you need to have the Debian package toolchain (debuild
# and friends) installed. Also make sure you have your DEBEMAIL and
# DEBFULLNAME environment variables set up as explained in the debchange(1)
# manual page. These are needed to create changelog entries and in order to
# sign the Debian packages created with 'make deb' and 'make debsrc'.

# The typical workflow is as follows:

# 1. Run 'make debchange' once to create a new debian/changelog entry. You
# *must* do this once so that debuild knows about the proper version number of
# the package.

# 2. Run 'make deb' to build a signed binary package. Or 'make deb-us' for an
# unsigned one.

# If you only need the binary package for local deployment then you're done.
# Otherwise proceed to step 3.

# 3. Run 'make debsrc' to create a signed Debian source package which can be
# uploaded, e.g, to Launchpad using 'dput'. Or 'make debsrc-us' for an
# unsigned package.

# 4. Run 'make debclean' to get rid of any files that were created in steps 2
# and 3.

# The Debian version gets derived from the package version $(version) as well
# as the date and serial number of the last commit.
debversion = $(version)+git$(shell git log -1 --format=%cd --date=short | sed -e 's/-//g')+$(shell git rev-list --count HEAD)
# Debian revision number of the package.
debrevision = 1
# Source tarball and folder.
debsrc = faust_$(debversion).orig.tar.gz
debdist = faust-$(debversion)

# This is used for automatically generated debian/changelog entries (cf. 'make
# debchange'). Adjust as needed.
debmsg = "Build from latest upstream source."
debprio = "low"

.PHONY: debversion debchange debclean deb debsrc deb-us debsrc-us

debversion:
	@echo $(debversion)

debchange:
	dch -u $(debprio) -v $(debversion)-$(debrevision) $(debmsg) && dch -r ""

debclean: $(debsrc)
	rm -rf $(debdist)
	rm -f faust_$(version)+git*

deb: $(debsrc)
	rm -rf $(debdist)
	tar xfz $(debsrc)
# Here we just copy debian/ from the working copy since it might have changes
# that haven't been committed yet.
	cd $(debdist) && cp -R ../debian . && debuild $(DEBUILD_FLAGS)
	rm -rf $(debdist)

debsrc:
	$(MAKE) deb DEBUILD_FLAGS=-S

deb-us:
	$(MAKE) deb DEBUILD_FLAGS="-us -uc"

debsrc-us:
	$(MAKE) deb DEBUILD_FLAGS="-S -us -uc"

$(debsrc) :
	git archive --format=tar.gz -o $(debsrc) --prefix=$(debdist)/ HEAD

# DO NOT DELETE

=== examples/faust-tubes/Makefile ===
# Directory containing Faust .lib and .cpp architecture files:
ck1 := /opt/local/lib/faust/music.lib
ck2 := /usr/local/lib/faust/music.lib
ck3 := $(FAUST_LIB_PATH)/faust/music.lib
LIB := $(if $(wildcard $(ck1)),/opt/local/lib,"")
LIB := $(if $(wildcard $(ck2)),/usr/local/lib,$(LIB))
LIB := $(if $(wildcard $(ck3)),$(FAUST_LIB_PATH),$(LIB))

# Directory containing Faust include files:
ck11 := /opt/local/include/faust/misc.h
ck12 := /usr/local/include/faust/misc.h
ck13 := /usr/include/faust/misc.h
ck14 := $(FAUST_INC_PATH)/faust/misc.h
FAUSTINC := $(if $(wildcard $(ck11)),/opt/local/include/faust,"")
FAUSTINC := $(if $(wildcard $(ck12)),/usr/local/include/faust,$(FAUSTINC))
FAUSTINC := $(if $(wildcard $(ck13)),/usr/include/faust,$(FAUSTINC))
FAUSTINC := $(if $(wildcard $(ck14)),$(FAUST_INC_PATH),$(FAUSTINC))

ifeq ($(OSC),1)
 OSCCTRL := -DOSCCTRL -I$(FAUSTINC)/gui/
 QTDEFS  := OSCCTRL
 OSCLIB  := -L$(LIB)/faust/ -lOSCFaust -loscpack
endif

ifeq ($(HTTPD),1)
 HTTPDCTRL := -DHTTPCTRL -I$(FAUSTINC)/gui
 HTTPDDEFS := HTTPCTRL
 HTTPDLIB  := -L$(LIB)/faust/ -lHTTPDFaust -lmicrohttpd
endif

MYICCFLAGS := '-O3 -xHost -ftz -fno-alias -fp-model fast=2 $(OSCCTRL) $(HTTPDCTRL) -I$(PWD)/valve/' 

ifeq ($(system), Darwin)
MYGCCFLAGS := '-O3 -march=native -mfpmath=sse -msse -msse2 -ffast-math $(OSCCTRL) $(HTTPDCTRL) -I$(PWD)/valve/'
else
MYGCCFLAGS := '-Wfatal-errors -O3 -mfpmath=sse -msse -msse2 -ffast-math $(OSCCTRL) $(HTTPDCTRL) -I$(PWD)/valve/'
endif

VSIZE := 256

SC_SOURCE_DIR = ../../supercollider

all : jackgtk

testlin: alsagtk alsaqt jackgtk jackconsole jackqt netjackqt puredata ladspa dssi csound csounddouble w32vst

testmac: caqt puredata maxmsp maxmsp64 csound csounddouble supercollider


json :
	install -d jsondir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jsondir/' ARCH='gen-json.cpp' CXXFLAGS=$(MYGCCFLAGS) LIB='-L$(LIB)/faust/ -lHTTPDFaust' -f Makefile.compile

alsagtk :
	install -d alsagtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='alsagtkdir/' ARCH='alsa-gtk.cpp' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0` $(OSCLIB) $(HTTPDLIB)'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile


alsaqt :
	install -d alsaqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='alsaqtdir/' ARCH='alsa-qt.cpp' LIB='-lpthread -lasound $(OSCLIB) $(HTTPDLIB)' DEFS="DEFINES +=$(QTDEFS) $(HTTPDDEFS)" CXXFLAGS=$(MYGCCFLAGS) -f Makefile.qtcompile


caqt :
	install -d caqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='caqtdir/' ARCH='ca-qt.cpp' LIB='-framework CoreAudio -framework AudioUnit -framework CoreServices $(OSCLIB) $(HTTPDLIB)' CXXFLAGS=$(MYGCCFLAGS)  DEFS="DEFINES +=$(QTDEFS) $(HTTPDDEFS)"  -f Makefile.qtcompile


jackgtk :
	install -d jackgtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackgtkdir/' ARCH='jack-gtk.cpp' LIB='`pkg-config --cflags --libs jack gtk+-2.0` $(OSCLIB) $(HTTPDLIB)' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile


jackconsole :
	install -d jackconsoledir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackconsoledir/' ARCH='jack-console.cpp' VEC='-vec -vs $(VSIZE)' LIB='-lpthread `pkg-config --cflags --libs jack ` $(OSCLIB) $(HTTPDLIB)' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile


jackqt :
	install -d jackqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackqtdir/' ARCH='jack-qt.cpp' LIB='-ljack $(OSCLIB) $(HTTPDLIB)' DEFS="DEFINES +=$(QTDEFS) $(HTTPDDEFS)" CXXFLAGS=$(MYGCCFLAGS) -f Makefile.qtcompile


netjackqt :
	install -d netjackqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='netjackqtdir/' ARCH='netjack-qt.cpp' LIB='-ljacknet $(OSCLIB) $(HTTPDLIB)' DEFS="DEFINES +=$(QTDEFS) $(HTTPDDEFS)" CXXFLAGS=$(MYGCCFLAGS) -f Makefile.qtcompile


svg:
	$(MAKE) -f Makefile.svgcompile


puredata :
	install -d puredatadir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='puredatadir/' ARCH='puredata.cpp' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.pdcompile


ladspa :
	install -d ladspadir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ladspadir/' ARCH='ladspa.cpp' EXT='.so' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.ladspacompile


dssi :
	install -d dssidir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='dssidir/' ARCH='dssi.cpp' EXT='.so' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.dssicompile


csound :
	install -d csounddir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='csounddir/'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.csound


csounddouble :
	install -d csounddoubledir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='csounddoubledir/' VEC='-double'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.csound


module :
	install -d moduledir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='moduledir/' ARCH='module.cpp' LIB='-fPIC -shared' EXT='.so'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

bundle :
	install -d bundledir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='bundledir/' ARCH='module.cpp' LIB='-fPIC -bundle' EXT='.so'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile


maxmsp msp :
	install -d mspdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='mspdir/' VEC='-g -vs 256' ARCH='max-msp.cpp' LIB=''  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.mspcompile

maxmsp64 msp64 :
	install -d msp64dir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='msp64dir/' VEC='-double -g -vs 256' ARCH='max-msp64.cpp' LIB=''  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.mspcompile


w32vstdir :
	mkdir w32vstdir

w32vst : w32vstdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='w32vstdir/' ARCH='vst2p4.cpp' LIB=''  -f Makefile.w32vstcompile

vst :
	install -d vstdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='vstdir/' ARCH='vst.cpp' LIB=''  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.vstcompile


sndfile :
	install -d sndfiledir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='sndfiledir/' ARCH='sndfile.cpp' LIB='-lsndfile'   CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

plot :
	install -d plotdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='plotdir/' ARCH='plot.cpp'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

matlabplot :
	install -d matlabplotdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='matlabplotdir/' ARCH='matlabplot.cpp'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile


bench :
	install -d benchdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='benchdir/' ARCH='bench.cpp'  CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

gvecbench :
	install -d gvecbenchdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='gvecbenchdir/' ARCH='bench.cpp'  VEC='-vec -vs 256' CXX='g++' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

ibench :
	install -d ibenchdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ibenchdir/' ARCH='bench.cpp' CXX='icc' CXXFLAGS='-O3 -xHost -ftz -fno-alias -fp-model fast=2' -f Makefile.compile


supercollider sc:
	install -d supercolliderdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='supercolliderdir/' -f Makefile.sccompile

mathdoc :
	$(MAKE) -f Makefile.mathdoc





ijackgtk :
	install -d ijackgtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ijackgtkdir/' ARCH='jack-gtk.cpp' LIB=' `pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile
	###$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ijackgtkdir/' ARCH='jack-gtk.cpp' LIB='-I$(LIB)/faust/  `pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

ijackvec :
	install -d ijackvecdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ijackvecdir/' ARCH='jack-gtk.cpp' VEC='-vec -lv 1 -vs $(VSIZE)' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

ijackomp :
	install -d ijackompdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ijackompdir/' ARCH='jack-gtk.cpp' VEC='-vs $(VSIZE) -omp' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='icc' CXXFLAGS='-openmp '$(MYICCFLAGS) -f Makefile.compile

ijacksch :
	install -d ijackschdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ijackschdir/' ARCH='jack-gtk.cpp' VEC='-sch -vs $(VSIZE)' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

gjackgtk :
	install -d gjackgtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='gjackgtkdir/' ARCH='jack-gtk.cpp' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='g++' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

gjackvec :
	install -d gjackvecdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='gjackvecdir/' ARCH='jack-gtk.cpp' VEC='-vec -lv 1 -vs $(VSIZE)' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='g++' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.compile

gjackomp :
	install -d gjackompdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='gjackompdir/' ARCH='jack-gtk.cpp' VEC='-vec -vs $(VSIZE) -omp' LIB='`pkg-config --cflags --libs jack gtk+-2.0` -I/usr/local/include' CXX='g++' CXXFLAGS='-fopenmp '$(MYGCCFLAGS) -f Makefile.compile

ialsagtk :
	install -d ialsagtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ialsagtkdir/' ARCH='alsa-gtk.cpp' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

ialsavec :
	install -d ialsavecdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ialsavecdir/' ARCH='alsa-gtk.cpp' VEC='-vec -vs $(VSIZE)' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

ialsaomp :
	install -d ialsaompdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ialsaompdir/' ARCH='alsa-gtk.cpp' VEC='-omp -vs $(VSIZE)' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' CXX='icc' CXXFLAGS='-openmp '$(MYICCFLAGS) -f Makefile.compile

ialsasch :
	install -d ialsaschdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ialsaschdir/' ARCH='alsa-gtk.cpp' VEC='-sch -vs $(VSIZE)' LIB='-lpthread -lasound  `pkg-config --cflags --libs gtk+-2.0`' CXX='icc' CXXFLAGS=$(MYICCFLAGS) -f Makefile.compile

msjackgtk :
	install -d msjackgtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='msjackgtkdir/' ARCH='ms-jack-gtk.cpp' LIB='-lMidiShare `pkg-config --cflags --libs jack gtk+-2.0`' -f Makefile.compile

jackqtsch :
	install -d jackqtschdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackqtschdir/' ARCH='jack-qt.cpp' VEC='-sch -vs $(VSIZE)' LIB='-ljack' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.qtcompile

jackwt :
	install -d jackwtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackwtdir/' ARCH='jack-wt.cpp' LIB='-ljack -lwt -lwthttp -lboost_signals-mt $(OSCLIB)' DEFS=$(QTDEFS) -f Makefile.compile

paqt :
	install -d paqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='paqtdir/' ARCH='pa-qt.cpp' LIB='-lportaudio $(OSCLIB)'  DEFS=$(QTDEFS) -f Makefile.qtcompile

oscioqt :  OSCLIB = -L$(LIB)/faust/osclib -lOSCFaust -loscpack
oscioqt :
	install -d oscioqtdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='oscioqtdir/' ARCH='oscio-qt.cpp' LIB='-ljack $(OSCLIB)' DEFS=$(QTDEFS) -f Makefile.qtcompile

osciogtk :  OSCLIB = -L$(LIB)/faust/osclib -lOSCFaust -loscpack
osciogtk :
	install -d osciogtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='osciogtkdir/' ARCH='oscio-gtk.cpp' LIB='`pkg-config --cflags --libs jack gtk+-2.0` $(OSCLIB)' CXXFLAGS=-I$(LIB)/faust/osclib -f Makefile.compile

ladspasch :
	install -d ladspaschdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ladspaschdir/' ARCH='ladspa.cpp' VEC='-sch -vs $(VSIZE)' EXT='.so' CXXFLAGS=$(MYGCCFLAGS) -f Makefile.ladspacompile

jackwx :
	install -d jackwxdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='jackwxdir/' ARCH='jack-wx.cpp' LIB='`pkg-config jack  --cflags --libs` `wx-config --cflags --libs`' -f Makefile.compile

ossgtk :
	install -d ossgtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='ossgtkdir/' ARCH='oss-gtk.cpp' LIB='-lpthread  `pkg-config gtk+-2.0  --cflags --libs`' -f Makefile.compile

osswx :
	install -d osswxdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='osswxdir/' ARCH='oss-wx.cpp' LIB='-lpthread  `wx-config --cflags --libs`' -f Makefile.compile

pagtk :
	install -d pagtkdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='pagtkdir/' ARCH='pa-gtk.cpp' LIB='-lpthread  -lportaudio `pkg-config gtk+-2.0  --cflags --libs` $(OSCLIB)' CXXFLAGS=$(OSCCTRL) -f Makefile.compile

pawx :
	install -d pawxdir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='pawxdir/' ARCH='pa-wx.cpp' LIB='-lpthread  -lportaudio `wx-config --cflags --libs`' -f Makefile.compile

iphone :
	install -d iphonedir
	$(MAKE) FAUSTINC="$(FAUSTINC)" DEST='iphonedir/' ARCH='iphone-cocoa.cpp' LIB='' -f Makefile.iphonecompile

iphonenet :

=== tools/faust2appls/Makefile ===
DESTDIR ?= 
PREFIX ?= /usr/local

MAKEFILE := Makefile.unix

prefix := $(DESTDIR)$(PREFIX)
dest   := $(prefix)/bin

help:
	@echo This is a makefile to install the Faust tools.
	@echo The only target is 'install'. Install directory is $(dest) by default. 
	@echo Call 'make install DESTDIR=/your/install/dir' to install to another location.

install:
	mkdir -p $(dest)
	install faustpath $(dest)
	install faustoptflags $(dest)
	install faust2alqt $(dest)
	install faust2alsa $(dest)
	install faust2au $(dest)
	install faust2caqt $(dest)
	install faust2csound $(dest)
	install faust2ladspa $(dest)
	install faust2dssi $(dest)
	install faust2eps $(dest)
	install faust2firefox $(dest)
	install faust2jack $(dest)
	install faust2jackinternal $(dest)
	install faust2jackserver $(dest)
	install faust2jackconsole $(dest)
	install faust2jaqt $(dest)
	install faust2mathdoc $(dest)
	install faust2mathviewer $(dest)
	install faust2msp $(dest)
	install faust2w32msp $(dest)
	install faust2max6 $(dest)
	install faust2octave $(dest)
	install faust2paqt $(dest)
	install faust2pdf $(dest)
	install faust2plot $(dest)
	install faust2png $(dest)
	install faust2puredata $(dest)
	install faust2w32puredata $(dest)
	install faust2ros $(dest)
	install faust2rosgtk $(dest)
	install faust2svg $(dest)
	install faust2supercollider $(dest)
	install ../faust2sc-1.0.0/faust2sc $(dest)
	install faust2graph $(dest)
	install faust2graphviewer $(dest)
	install faust2sig $(dest)
	install faust2sigviewer $(dest)
	install faust2netjackqt $(dest)
	install faust2netjackconsole $(dest)
	install faust2vst $(dest)
	install faust2vsti $(dest)
	install faust2w32vst $(dest)
	install faust2ios $(dest)
	install faust2lv2 $(dest)
	install faust2lv2synth $(dest)
	install faust2alsaconsole $(dest)
	install faust2rpialsaconsole $(dest)
	install faust2rpinetjackconsole $(dest)
	install faust2android $(dest)
	install faust2owl $(dest)
	install faust2webaudioasm $(dest)
	install faust2asmjs $(dest)
	install faust2api $(dest)
	install faust2raqt $(dest)
	install faust2md $(dest)
	

uninstall:
	rm -f $(dest)/faustpath
	rm -f $(dest)/faustoptflags
	rm -f $(dest)/faust2alqt
	rm -f $(dest)/faust2alsa
	rm -f $(dest)/faust2au
	rm -f $(dest)/faust2ausynth
	rm -f $(dest)/faust2caqt
	rm -f $(dest)/faust2csound
	rm -f $(dest)/faust2ladspa
	rm -f $(dest)/faust2dssi
	rm -f $(dest)/faust2eps
	rm -f $(dest)/faust2firefox
	rm -f $(dest)/faust2jack
	rm -f $(dest)/faust2jackinternal
	rm -f $(dest)/faust2jackserver
	rm -f $(dest)/faust2jackconsole
	rm -f $(dest)/faust2jaqt
	rm -f $(dest)/faust2mathdoc
	rm -f $(dest)/faust2mathviewer
	rm -f $(dest)/faust2msp
	rm -f $(dest)/faust2w32msp
	rm -f $(dest)/faust2max6
	rm -f $(dest)/faust2octave
	rm -f $(dest)/faust2paqt
	rm -f $(dest)/faust2pdf
	rm -f $(dest)/faust2plot
	rm -f $(dest)/faust2png
	rm -f $(dest)/faust2puredata
	rm -f $(dest)/faust2w32puredata
	rm -f $(dest)/faust2ros
	rm -f $(dest)/faust2rosgtk
	rm -f $(dest)/faust2svg
	rm -f $(dest)/faust2supercollider
	rm -f $(dest)/faust2sc
	rm -f $(dest)/faust2graph
	rm -f $(dest)/faust2graphviewer
	rm -f $(dest)/faust2sig
	rm -f $(dest)/faust2sigviewer
	rm -f $(dest)/faust2netjackqt
	rm -f $(dest)/faust2netjackconsole
	rm -f $(dest)/faust2vst
	rm -f $(dest)/faust2vsti
	rm -f $(dest)/faust2w32vst
	rm -f $(dest)/faust2ios
	rm -f $(dest)/faust2lv2
	rm -f $(dest)/faust2lv2synth
	rm -f $(dest)/faust2alsaconsole
	rm -f $(dest)/faust2rpialsaconsole
	rm -f $(dest)/faust2rpinetjackconsole
	rm -f $(dest)/faust2android
	rm -f $(dest)/faust2owl
	rm -f $(dest)/faust2webaudioasm
	rm -f $(dest)/faust2asmjs
	rm -f $(dest)/faust2api
	rm -f $(dest)/faust2raqt
	rm -f $(dest)/faust2md

=== tools/sound2faust/Makefile ===

DESTDIR ?= 
PREFIX ?= /usr/local

prefix := $(DESTDIR)$(PREFIX)

system	?= $(shell uname -s)

## On Windows (mingw32) we must link against the socket library.
ifneq ($(findstring MINGW32, $(system)),)
LIBS = -lwsock32
EXE = .exe
endif

sound2faust : sound2faust.cpp

	$(CXX) -O3 sound2faust.cpp -I../../architecture `pkg-config --cflags --static --libs sndfile` -o sound2faust $(LIBS)

static:

	$(CXX) -O3 sound2faust.cpp -I../../architecture `pkg-config --cflags  sndfile`  /usr/local/lib/libsndfile.a -o sound2faust

install :

	install sound2faust $(prefix)/bin/
	install sound2reader $(prefix)/bin/

clean :
	rm -f sound2faust$(EXE)

=== architecture/httpdlib/src/Makefile ===
subprojects := html httpd include json lib msg nodes
sources = $(wildcard *.cpp) $(wildcard html/*.cpp) $(wildcard httpd/*.cpp)  $(wildcard json/*.cpp) $(wildcard msg/*.cpp) $(wildcard nodes/*.cpp)
objects = $(sources:.cpp=.o)
objects += hexa/jsscripts.o
objects += hexa/stylesheet.o

VPATH = $(subprojects)

system	?= $(shell uname -s)

ifeq ($(system), Darwin)
##ARCHFLAGS :=  -arch i386 -arch x86_64
LIB_EXT = dylib
# Darwin/OS X: default installation name prefix for the dynamic library. This
# defaults to the installation prefix (a fixed path) if we have one, but
# depending on usage (plugin or executable) you may want to keep it empty or
# use some generic prefix such as @loader_path/ instead (see below).
ifneq ($(PREFIX),)
INSTALL_PREFIX = $(PREFIX)/lib/
endif
ifneq ($(INSTALL_PREFIX),)
INSTALL_NAME = -install_name "$(INSTALL_PREFIX)libHTTPDFaust.dylib"
endif
else
ARCHFLAGS := 
ifneq ($(findstring MINGW32, $(system)),)
LIB_EXT = dll
else
CXXFLAGS += -fPIC
LIB_EXT = so
endif
endif

# Here are some useful alternative options for the installation name prefix
# (cf., e.g., https://wincent.com/wiki/@executable_path,_@load_path_and_@rpath):

# @executable_path: Useful if the dylib is distributed with an application
# (add path relative to the main executable if needed):
#INSTALL_PREFIX = @executable_path/

# @loader_path (OS X 10.4+): Useful if the dylib is distributed with a plugin
# (add path relative to the plugin if needed):
#INSTALL_PREFIX = @loader_path/

# @rpath (OS X 10.5+): Useful if the dylib is distributed with an application
# which has an rpath coded into it:
#INSTALL_PREFIX = @rpath/

CXXFLAGS ?= -O3 -Wall -Wuninitialized $(ARCHFLAGS)
CXXFLAGS += `pkg-config --cflags libmicrohttpd` -I../../../architecture -I/usr/local/include -Wno-parentheses $(addprefix -I, $(subprojects)) -DINSTALL_PREFIX='"$(prefix)"'

all: ../libHTTPDFaust.a

dynamic : ../libHTTPDFaust.$(LIB_EXT)

../libHTTPDFaust.a : $(objects)
	rm -f $@
	ar cq $@ $(objects)
	ranlib $@

../libHTTPDFaust.dylib :  $(objects)
	$(CXX) -dynamiclib $(INSTALL_NAME) $(ARCHFLAGS) $(objects) `pkg-config --libs libmicrohttpd` -o $@

../libHTTPDFaust.so  :  $(objects)
	$(CXX) -shared -fPIC -o $@ $(objects) `pkg-config --libs libmicrohttpd`

../libHTTPDFaust.dll  :  $(objects)
	$(CXX) -shared -o $@ $(objects) `pkg-config --libs libmicrohttpd` -lwsock32
	
depend :
	makedepend -fMakefile -w120 -Y -- $(CXXFLAGS) -- $(sources)
	
clean :
	rm -f $(objects) hexa/jsscripts hexa/jsscripts.cpp
	rm -f $(objects) hexa/stylesheet hexa/stylesheet.cpp
	rm -f ../libHTTPDFaust.a ../libHTTPDFaust.dylib ../libHTTPDFaust.so ../libHTTPDFaust.dll
	

hexa/jsscripts.o : hexa/jsscripts.cpp

hexa/stylesheet.o : hexa/stylesheet.cpp

hexa/jsscripts.cpp : hexa/jsscripts
	cd hexa; xxd -i jsscripts jsscripts.cpp

hexa/stylesheet.cpp : hexa/stylesheet
	cd hexa; xxd -i stylesheet stylesheet.cpp

hexa/jsscripts : ../html/js/svg/*.js ../html/js/svg/jquerysvg/jquery.svg.js
	cat ../html/js/svg/jquery-1.7.1.min.js > $@
	echo " " >> $@
	cat ../html/js/svg/jquerysvg/jquery.svg.min.js >> $@
	echo " " >> $@
	cat ../html/js/svg/jquerysvg/jquery.svgdom.min.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_proto.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_jquery_svg_backend.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_mobile.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_ui_inits.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_load_external_file.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_ui_objects.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_ui_builder.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_ui_interact.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_ui_audio_bridge.js >> $@
	echo " " >> $@
	cat ../html/js/svg/faust_server_communication.js >> $@

hexa/stylesheet : ../html/js/svg/faust_css.css
	cat ../html/js/svg/faust_css.css > $@

# DO NOT DELETE

HTTPDControler.o: include/HTTPDControler.h nodes/FaustFactory.h nodes/MessageDriven.h msg/MessageProcessor.h
HTTPDControler.o: lib/smartpointer.h nodes/FaustNode.h msg/Message.h httpd/HTTPDSetup.h json/jsonfactory.h
HTTPDControler.o: json/jsonroot.h json/jsonnode.h json/jsoncontrol.h html/htmlfactory.h html/htmlpage.h
HTTPDControler.o: nodes/RootNode.h
html/htmlfactory.o: html/htmlfactory.h html/htmlpage.h
html/htmlpage.o: lib/deelx.h html/htmlpage.h html/jsscripts.h html/stylesheet.h
html/htmlui.o: html/htmlui.h html/htmlfactory.h html/htmlpage.h
httpd/Address.o: httpd/Address.h
httpd/HTTPDServer.o: httpd/HTTPDServer.h msg/Message.h lib/smartpointer.h
httpd/HTTPDServer.o: msg/MessageProcessor.h
httpd/HTTPDSetup.o: httpd/HTTPDSetup.h httpd/HTTPDServer.h msg/MessageProcessor.h
json/jsoncontrol.o: json/jsoncontrol.h json/jsonnode.h lib/smartpointer.h
json/jsonfactory.o: json/jsonfactory.h json/jsonroot.h lib/smartpointer.h json/jsonnode.h json/jsoncontrol.h
json/jsonfactory.o: json/jsongroup.h
json/jsonfaustui.o: include/jsonfaustui.h ../../../architecture/faust/gui/meta.h ../../../architecture/faust/gui/UI.h
json/jsonfaustui.o: json/jsonui.h json/jsonfactory.h json/jsonroot.h lib/smartpointer.h json/jsonnode.h
json/jsonfaustui.o: json/jsoncontrol.h
json/jsongroup.o: json/jsongroup.h json/jsonnode.h lib/smartpointer.h
json/jsonroot.o: json/jsonroot.h lib/smartpointer.h json/jsonnode.h
json/jsonui.o: json/jsonui.h json/jsonfactory.h json/jsonroot.h lib/smartpointer.h json/jsonnode.h json/jsoncontrol.h
msg/Message.o: msg/Message.h lib/smartpointer.h
nodes/FaustFactory.o: nodes/FaustFactory.h nodes/MessageDriven.h msg/MessageProcessor.h lib/smartpointer.h
nodes/FaustFactory.o: nodes/FaustNode.h msg/Message.h nodes/RootNode.h
nodes/FaustNode.o: nodes/FaustNode.h nodes/MessageDriven.h msg/MessageProcessor.h lib/smartpointer.h msg/Message.h
nodes/FaustNode.o: httpd/HTTPDServer.h
nodes/MessageDriven.o: httpd/Address.h msg/Message.h lib/smartpointer.h nodes/MessageDriven.h msg/MessageProcessor.h
nodes/MessageDriven.o: httpd/HTTPDServer.h
nodes/RootNode.o: nodes/RootNode.h nodes/MessageDriven.h msg/MessageProcessor.h lib/smartpointer.h msg/Message.h

=== architecture/osclib/faust/Makefile ===
subprojects := . src src/lib src/msg src/nodes src/osc src/threads ../..
sources = $(wildcard src/*.cpp) $(wildcard src/*/*.cpp) 
objects = $(sources:.cpp=.o)

VPATH = $(subprojects)

system	?= $(shell uname -s)

# Darwin/OS X: default installation name prefix for the dynamic library. This
# defaults to the installation prefix (a fixed path) if we have one, but
# depending on usage (plugin or executable) you may want to keep it empty or
# use some generic prefix such as @loader_path/ instead (see below).

ifneq ($(PREFIX),)
INSTALL_PREFIX = $(PREFIX)/lib/
endif

# Here are some useful alternative options for the installation name prefix
# (cf., e.g., https://wincent.com/wiki/@executable_path,_@load_path_and_@rpath):

# @executable_path: Useful if the dylib is distributed with an application
# (add path relative to the main executable if needed):
#INSTALL_PREFIX = @executable_path/

# @loader_path (OS X 10.4+): Useful if the dylib is distributed with a plugin
# (add path relative to the plugin if needed):
#INSTALL_PREFIX = @loader_path/

# @rpath (OS X 10.5+): Useful if the dylib is distributed with an application
# which has an rpath coded into it:
#INSTALL_PREFIX = @rpath/

ifeq ($(system), Darwin)
#ARCHFLAGS :=  -arch i386 -arch x86_64
else
ARCHFLAGS := 
ifeq ($(findstring MINGW32, $(system)),)
CXXFLAGS += -fPIC
endif
endif

ifeq ($(MODE), SHARED)
ifeq ($(system), Darwin)
TARGET=libOSCFaust.$(VERSION).dylib
SONAME=libOSCFaust.$(SOVERSION).dylib
ifneq ($(INSTALL_PREFIX),)
INSTALL_NAME = -install_name "$(INSTALL_PREFIX)$(SONAME)"
endif
else
ifneq ($(findstring MINGW32, $(system)),)
TARGET=libOSCFaust-$(VERSION).dll
SONAME=libOSCFaust-$(SOVERSION).dll
else
TARGET=libOSCFaust.so.$(VERSION)
SONAME=libOSCFaust.so.$(SOVERSION)
endif
endif
else
TARGET=libOSCFaust.a
endif


CXXFLAGS ?= -O3 -Wall -Wuninitialized $(ARCHFLAGS)
CXXFLAGS += -Wno-parentheses -I../oscpack -I../oscpack/osc $(addprefix -I, $(subprojects)) -DINSTALL_PREFIX='"$(prefix)"'

all : $(TARGET)

libOSCFaust.$(VERSION).dylib : $(objects)
	$(CXX) -dynamiclib $(INSTALL_NAME) -compatibility_version $(SOVERSION) -current_version $(VERSION) $(ARCHFLAGS) $(objects) -L.. -loscpack -o libOSCFaust.$(VERSION).dylib

libOSCFaust.so.$(VERSION) : $(objects)
	$(CXX) -shared -Wl,-soname,$(SONAME) -fPIC $(ARCHFLAGS) $(objects) -L.. -loscpack -o libOSCFaust.so.$(VERSION)

libOSCFaust-$(VERSION).dll : $(objects)
	$(CXX) -shared $(ARCHFLAGS) $(objects) -L.. -loscpack -lwsock32 -lws2_32 -lwinmm -o libOSCFaust-$(VERSION).dll

libOSCFaust.a : $(objects)
	rm -f $@
	ar cq $@ $(objects)
	ranlib $@
	

ios: IPHONEOS_DEPLOYMENT_TARGET=5.0
ios: CXX = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++ 
ios: CXXFLAGS += -std=c++11 -stdlib=libstdc++ -arch armv7 -arch armv7s -arch arm64 -pipe -O3 -gdwarf-2 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.1.sdk
ios: CXXFLAGS += -fvisibility=hidden -Wno-overloaded-virtual -Wno-parentheses $(addprefix -I, $(subprojects)) -DINSTALL_PREFIX='"$(prefix)"' 

ios : libOSCFaust.a 
	
depend :
	makedepend -fMakefile -w120 -Y -- $(CXXFLAGS) -- $(sources)
	
clean :
	rm -f $(objects)
	rm -f libOSCFaust.a libOSCFaust*.dylib libOSCFaust.so* libOSCFaust*.dll
	


# DO NOT DELETE

src/OSCControler.o: faust/OSCControler.h faust/osc/FaustFactory.h faust/osc/FaustNode.h faust/osc/MessageDriven.h
src/OSCControler.o: faust/osc/MessageProcessor.h faust/osc/smartpointer.h faust/osc/Message.h ../../faust/gui/GUI.h
src/OSCControler.o: ../../faust/gui/UI.h faust/OSCIO.h src/osc/OSCSetup.h src/osc/OSCStream.h
src/OSCControler.o: ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h
src/OSCControler.o: ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h
src/OSCControler.o: src/lib/OSCFError.h src/nodes/RootNode.h src/lib/OSCRegexp.h src/lib/deelx.h
src/lib/OSCFError.o: src/lib/OSCFError.h src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h
src/lib/OSCFError.o: ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h
src/lib/OSCFError.o: ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h faust/osc/Message.h
src/lib/OSCFError.o: faust/osc/smartpointer.h
src/lib/OSCRegexp.o: src/lib/OSCRegexp.h src/lib/deelx.h
src/msg/Message.o: faust/osc/Message.h faust/osc/smartpointer.h src/lib/OSCFError.h src/osc/OSCStream.h
src/msg/Message.o: ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h
src/msg/Message.o: ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h
src/nodes/FaustFactory.o: faust/osc/FaustFactory.h faust/osc/FaustNode.h faust/osc/MessageDriven.h
src/nodes/FaustFactory.o: faust/osc/MessageProcessor.h faust/osc/smartpointer.h faust/osc/Message.h
src/nodes/FaustFactory.o: ../../faust/gui/GUI.h ../../faust/gui/UI.h src/nodes/RootNode.h src/osc/OSCAddress.h
src/nodes/FaustNode.o: faust/osc/FaustNode.h faust/osc/MessageDriven.h faust/osc/MessageProcessor.h
src/nodes/FaustNode.o: faust/osc/smartpointer.h faust/osc/Message.h ../../faust/gui/GUI.h ../../faust/gui/UI.h
src/nodes/FaustNode.o: src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h
src/nodes/FaustNode.o: ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h
src/nodes/FaustNode.o: ../oscpack/ip/IpEndpointName.h faust/OSCControler.h faust/osc/FaustFactory.h
src/nodes/MessageDriven.o: faust/osc/Message.h faust/osc/smartpointer.h faust/osc/MessageDriven.h
src/nodes/MessageDriven.o: faust/osc/MessageProcessor.h src/osc/OSCAddress.h src/lib/OSCFError.h src/osc/OSCStream.h
src/nodes/MessageDriven.o: ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h
src/nodes/MessageDriven.o: ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h
src/nodes/MessageDriven.o: ../oscpack/ip/IpEndpointName.h src/lib/OSCRegexp.h src/lib/deelx.h
src/nodes/RootNode.o: faust/OSCControler.h faust/osc/FaustFactory.h faust/osc/FaustNode.h faust/osc/MessageDriven.h
src/nodes/RootNode.o: faust/osc/MessageProcessor.h faust/osc/smartpointer.h faust/osc/Message.h ../../faust/gui/GUI.h
src/nodes/RootNode.o: ../../faust/gui/UI.h faust/OSCIO.h src/nodes/RootNode.h src/osc/OSCStream.h
src/nodes/RootNode.o: ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h
src/nodes/RootNode.o: ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h
src/nodes/RootNode.o: ../oscpack/ip/NetworkingUtils.h
src/osc/OSCAddress.o: src/osc/OSCAddress.h
src/osc/OSCIO.o: faust/OSCIO.h src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h
src/osc/OSCIO.o: ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h
src/osc/OSCIO.o: ../oscpack/ip/IpEndpointName.h
src/osc/OSCListener.o: faust/osc/Message.h faust/osc/smartpointer.h src/osc/OSCListener.h faust/osc/MessageProcessor.h
src/osc/OSCListener.o: ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h
src/osc/OSCListener.o: ../oscpack/osc/OscPacketListener.h ../oscpack/osc/OscReceivedElements.h
src/osc/OSCListener.o: ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h ../oscpack/ip/PacketListener.h
src/osc/OSCListener.o: src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h
src/osc/OSCListener.o: ../oscpack/osc/OscReceivedElements.h ../oscpack/ip/IpEndpointName.h
src/osc/OSCSetup.o: src/osc/OSCSetup.h src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h
src/osc/OSCSetup.o: ../oscpack/osc/OscTypes.h ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h
src/osc/OSCSetup.o: ../oscpack/ip/NetworkingUtils.h ../oscpack/ip/IpEndpointName.h src/threads/TThreads.h
src/osc/OSCSetup.o: src/osc/OSCListener.h faust/osc/smartpointer.h faust/osc/MessageProcessor.h
src/osc/OSCSetup.o: ../oscpack/osc/OscPacketListener.h ../oscpack/osc/OscReceivedElements.h
src/osc/OSCSetup.o: ../oscpack/ip/PacketListener.h
src/osc/OSCStream.o: src/osc/OSCStream.h ../oscpack/osc/OscOutboundPacketStream.h ../oscpack/osc/OscTypes.h
src/osc/OSCStream.o: ../oscpack/osc/OscException.h ../oscpack/ip/UdpSocket.h ../oscpack/ip/NetworkingUtils.h
src/osc/OSCStream.o: ../oscpack/ip/IpEndpointName.h
src/threads/pthreads_impl.o: src/threads/TThreads.h

=== architecture/osclib/oscpack/Makefile ===
libname     := liboscpack.a
system	?= $(shell uname -s)

ifeq ($(system), Darwin)
subprojects := ip ip/posix osc
sources     := $(wildcard ip/*.cpp)  $(wildcard ip/posix/*.cpp)  $(wildcard osc/*.cpp)
#ARCHFLAGS 	:=  -arch i386 -arch x86_64

else 
ifeq ($(system), Linux)
subprojects := ip ip/posix osc
sources     := $(wildcard ip/*.cpp)  $(wildcard ip/posix/*.cpp)  $(wildcard osc/*.cpp)
ARCHFLAGS 	:= 
CXXFLAGS += -fPIC

else
subprojects := ip ip/win32 osc
sources     := $(wildcard ip/*.cpp)  $(wildcard ip/win32/*.cpp)  $(wildcard osc/*.cpp)
ARCHFLAGS 	:= 
endif
endif

VPATH = $(subprojects)

CXXFLAGS ?= -O3 -Wall -Wuninitialized $(ARCHFLAGS)
CXXFLAGS += -Wno-parentheses -I. $(addprefix -I, $(subprojects))

objects := $(sources:.cpp=.o)


## TARGETS

all: $(libname)

$(libname): $(objects)
	rm -f $@
	ar cq $@ $(objects)
	ranlib $@
	
depend :
	makedepend -fMakefile -w120 -Y -- $(CXXFLAGS) -- $(sources)

ios: IPHONEOS_DEPLOYMENT_TARGET=5.0
ios: CXX = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
ios: CXXFLAGS += -std=c++11 -stdlib=libstdc++  -arch armv7 -arch armv7s -arch arm64 -pipe -O3 -gdwarf-2 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.1.sdk
ios: CXXFLAGS += -fvisibility=hidden -Wno-overloaded-virtual -Wno-parentheses $(addprefix -I, $(subprojects)) -DINSTALL_PREFIX='"$(prefix)"' 

ios : liboscpack.a
	
clean :
	rm -f $(objects)
	rm -f $(libname)
	
	
# DO NOT DELETE

ip/IpEndpointName.o: ip/IpEndpointName.h ip/NetworkingUtils.h
ip/posix/NetworkingUtils.o: ip/NetworkingUtils.h
ip/posix/UdpSocket.o: ip/UdpSocket.h ip/NetworkingUtils.h ip/IpEndpointName.h ip/PacketListener.h ip/TimerListener.h
osc/OscOutboundPacketStream.o: osc/OscOutboundPacketStream.h osc/OscTypes.h osc/OscException.h osc/OscHostEndianness.h
osc/OscPrintReceivedElements.o: osc/OscPrintReceivedElements.h osc/OscReceivedElements.h osc/OscTypes.h
osc/OscPrintReceivedElements.o: osc/OscException.h
osc/OscReceivedElements.o: osc/OscReceivedElements.h osc/OscTypes.h osc/OscException.h osc/OscHostEndianness.h
osc/OscTypes.o: osc/OscTypes.h

=== tools/faust2pd/examples/basic/Makefile ===
DLL = .pd_linux
shared = -shared

# Try to guess the host system type and figure out platform specifics.
host = $(shell ../../config.guess)
ifneq "$(findstring -mingw,$(host))" ""
# Windows
DLL = .dll
PDLIB = -Wl,--enable-auto-import -lpd
endif
ifneq "$(findstring -darwin,$(host))" ""
# OSX
DLL = .pd_darwin
shared = -dynamiclib -Wl,-undefined -Wl,dynamic_lookup
endif
ifneq "$(findstring x86_64-,$(host))" ""
# 64 bit, needs -fPIC flag
EXTRA_CFLAGS += -fPIC
endif
ifneq "$(findstring x86,$(host))" ""
# architecture-specific options for x86 and x86_64
EXTRA_CFLAGS += -msse -ffast-math
endif

EXTRA_CFLAGS += -I ../../pd

dspsrc  := $(wildcard *.dsp)
cppsrc  := $(dspsrc:.dsp=.cpp)
mods	:= $(dspsrc:%.dsp=%~$(DLL))
svg 	:= $(dspsrc:.dsp=.svg)
xml 	:= $(dspsrc:.dsp=.dsp.xml)
pd 	:= $(dspsrc:.dsp=.pd)
libs    := $(wildcard *.lib)

ARCH     = puredata.cpp
#FAUST2PD = faust2pd
FAUST2PD = ../../faust2pd
F2PDFLAGS = -s

all: $(mods)

cpp: $(cppsrc)

svg: $(svg)

xml: $(xml)

%~$(DLL): %.cpp
	$(CXX) $(shared) $(EXTRA_CFLAGS) $(CFLAGS) -Dmydsp=$(@:%~$(DLL)=%) $< -o $@ $(PDLIB)

%.cpp: %.dsp
	faust $(VEC) -a $(ARCH) $< -o $@

%.svg: %.dsp
	faust -svg $< -o /dev/null >/dev/null

%.dsp.xml: %.dsp
	faust -xml $< -o /dev/null

%.pd: %.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) $<

clean:
	rm -f $(mods) *~ *.a *.o

distclean:
	rm -f $(mods) $(cppsrc) *~ *.a *.o

clean-cpp:
	rm -f $(cppsrc)

clean-xml:
	rm -f $(xml)

clean-pd:
	rm -f $(pd)

clean-svg:
	rm -rf *-svg

realclean:
	rm -f $(mods) $(cppsrc) $(xml) $(pd) *~ *.a *.o
	rm -rf *-svg

=== tools/faust2pd/examples/faust/Makefile ===
DLL = .pd_linux
shared = -shared

# Try to guess the host system type and figure out platform specifics.
host = $(shell ../../config.guess)
ifneq "$(findstring -mingw,$(host))" ""
# Windows
DLL = .dll
PDLIB = -Wl,--enable-auto-import -lpd
endif
ifneq "$(findstring -darwin,$(host))" ""
# OSX
DLL = .pd_darwin
shared = -dynamiclib -Wl,-undefined -Wl,dynamic_lookup
endif
ifneq "$(findstring x86_64-,$(host))" ""
# 64 bit, needs -fPIC flag
EXTRA_CFLAGS += -fPIC
endif
ifneq "$(findstring x86,$(host))" ""
# architecture-specific options for x86 and x86_64
EXTRA_CFLAGS += -msse -ffast-math
endif

EXTRA_CFLAGS += -I ../../pd

dspsrc  := $(wildcard *.dsp)
cppsrc  := $(dspsrc:.dsp=.cpp)
mods	:= $(dspsrc:%.dsp=%~$(DLL))
svg 	:= $(dspsrc:.dsp=.svg)
xml 	:= $(dspsrc:.dsp=.dsp.xml)
pd 	:= $(dspsrc:.dsp=.pd)
libs    := $(wildcard *.lib)

ARCH     = puredata.cpp
#FAUST2PD = faust2pd
FAUST2PD = ../../faust2pd
F2PDFLAGS = -r 10 -s

all: $(mods) $(pd)

cpp: $(cppsrc)

svg: $(svg)

xml: $(xml)

%~$(DLL): %.cpp
	$(CXX) $(shared) $(EXTRA_CFLAGS) $(CFLAGS) -Dmydsp=$(@:%~$(DLL)=%) $< -o $@ $(PDLIB)

%.cpp: %.dsp
	faust $(VEC) -a $(ARCH) $< -o $@

%.svg: %.dsp
	faust -svg $< -o /dev/null >/dev/null

%.dsp.xml: %.dsp
	faust -xml $< -o /dev/null

%.pd: %.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) $<

clean:
	rm -f $(mods) *~ *.a *.o

distclean:
	rm -f $(mods) $(cppsrc) *~ *.a *.o

clean-cpp:
	rm -f $(cppsrc)

clean-xml:
	rm -f $(xml)

clean-pd:
	rm -f $(pd)

clean-svg:
	rm -rf *-svg

realclean:
	rm -f $(mods) $(cppsrc) $(xml) $(pd) *~ *.a *.o
	rm -rf *-svg

=== debian/changelog ===
faust (0.9.73~repack1-2) unstable; urgency=medium

  * Made build reproducible.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> (Closes: #828977)
  * Moved lintian-overrides for source-package to d/source/
  * Updated d/copyright_hints
  * Removed (more) patches applied upstream
  * Re-indented comment in d/rules
  * d/watch needs dversionmangle

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Jul 2016 15:38:06 +0200

faust (0.9.73~repack1-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Adopt package (Closes: #823423)
  * Imported Upstream version 0.9.73~repack1
    * Refreshed patches
    * Renamed 'destdir' patch to 'strip-usrlocal'
  * Updated d/watch
  * Spelling fixes
  * Make build-system respect LDFLAGS
  * Switched build-system to cdbs
    * B-D on cdbs
    * Yay, license-check!
    * Rewrote d/rules
  * Generated manpages
  * Moved arch-independent stuff into /usr/share and create compat symlinks

  * Prefixed d/files with packagename
  * Rewrote d/copyright to DEP-5
  * Added lintian override for false-positive 'source-is-missing'
  * d/control
    * Added Vcs-* stanzas
    * Moved Homepage stanza into Source section
    * Updated to dh compat-level 9
    * Versioned B-D on dh-exec
    * Explicitely depend on 'python'
    * Updated to standards 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 May 2016 23:07:57 +0200

=== debian/control ===
Source: faust
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 9),
 dh-exec (>= 0.13),
 help2man,
 ruby,
 bison, flex
Homepage: http://faust.grame.fr/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faust.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faust.git

Package: faust
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Recommends: python, ruby, libc6-dev | libc-dev, g++, make, libjack-dev, libgtk2.0-dev
Suggests: kate
Description: functional programming language for realtime audio applications
 Faust is a functional programming language specifically designed for realtime
 audio applications and plugins. The syntax of the language is block diagram
 oriented. The faust compiler translate signal processing specifications into
 optimized C++ code for signal processing applications.
 .
 The generated code can be wrapped into an 'architecture file' in order to
 create for example a standalone jack/gtk application. Several architecture
 file are provided and additional ones are fairly easy to add.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2016 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for faust
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile-vars.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^(.*\.(png|pdf|doctree|jar|xcuserstate|swc|ots)|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_COMPRESS_EXCLUDE_ALL=.dsp .lib Makefile
MANPAGEDIR=debian/man

build/faust::
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) PREFIX=/usr
	mkdir -p $(MANPAGEDIR)
	help2man -N -n "functional programming language for realtime audio applications" \
		debian/faust-help2man > $(MANPAGEDIR)/faust.1
	help2man -N -n "Compile faust DSP code into SuperCollider module" \
		tools/faust2sc-1.0.0/faust2sc > $(MANPAGEDIR)/faust2sc.1
	debian/faust2man $(MANPAGEDIR) debian/faust2api.1

install/faust::
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) DESTDIR=$(DEB_DESTDIR) PREFIX=/usr install
	mkdir -p $(DEB_DESTDIR)/usr/share/faust
	mv $(DEB_DESTDIR)/usr/lib/faust $(DEB_DESTDIR)/usr/share/faust/code
#	 remove source faustpath and faustoptflags from libexecdir
	-rm $(DEB_DESTDIR)/usr/bin/faustoptflags
	-rm $(DEB_DESTDIR)/usr/bin/faustpath
	sed -e 's|^\( *\. \)faust|\1/usr/share/faust/utils/faust|' -i $(DEB_DESTDIR)/usr/bin/faust2*

clean::
	$(MAKE) clean
	-rm -rf $(MANPAGEDIR)

#override_dh_auto_install:
#	$(MAKE) prefix=`pwd`/debian/faust/usr install

#override_dh_compress:
#	dh_compress -X.lib -X.dsp -XMakefile
